summaryrefslogtreecommitdiffstats
path: root/academic/ess
diff options
context:
space:
mode:
author Joel J. Adamson <adamsonj@email.unc.edu>2010-05-13 00:57:15 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:15 +0200
commitf5e6505a12fa8a45a176491835ed4a9dac9345fa (patch)
treeb729707334af07884707589431b39eda719f603d /academic/ess
parent3c7b857bf4253cbbe7436434c240294bfb145026 (diff)
downloadslackbuilds-f5e6505a12fa8a45a176491835ed4a9dac9345fa.tar.gz
slackbuilds-f5e6505a12fa8a45a176491835ed4a9dac9345fa.tar.xz
academic/ess: Added to 13.0 repository
Diffstat (limited to 'academic/ess')
-rw-r--r--academic/ess/README6
-rw-r--r--academic/ess/ess.SlackBuild51
-rw-r--r--academic/ess/ess.info10
-rw-r--r--academic/ess/slack-desc19
4 files changed, 86 insertions, 0 deletions
diff --git a/academic/ess/README b/academic/ess/README
new file mode 100644
index 0000000000..71e9383f65
--- /dev/null
+++ b/academic/ess/README
@@ -0,0 +1,6 @@
+Emacs Speaks Statistics
+
+An add-on package for emacs-based text editors such as GNU Emacs and
+XEmacs. It is designed to support editing of scripts and interaction
+with various statistical analysis programs such S-Plus, R, SAS, Stata,
+and others.
diff --git a/academic/ess/ess.SlackBuild b/academic/ess/ess.SlackBuild
new file mode 100644
index 0000000000..913f8e377d
--- /dev/null
+++ b/academic/ess/ess.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for ESS (Emacs Speaks Statistics)
+
+# Written by Joel J. Adamson <adamsonj@email.unc.edu>
+
+PRGNAM=ess
+VERSION=${VERSION:-5.5}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+PREFIX=/usr
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make all DOCDIR=/usr/doc/$PRGNAM-$VERSION
+make install DESTDIR=$PKG/usr DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+
+# Compress info pages and remove the package's dir file
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ VERSION COPYING OONEWS ANNOUNCE NEWS ONEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ess/ess.info b/academic/ess/ess.info
new file mode 100644
index 0000000000..00c681a460
--- /dev/null
+++ b/academic/ess/ess.info
@@ -0,0 +1,10 @@
+PRGNAM="ess"
+VERSION="5.5"
+HOMEPAGE="http://ess.r-project.org"
+DOWNLOAD="http://ess.r-project.org/downloads/ess/ess-5.5.tgz"
+MD5SUM="46550f7f6b2482edda8c844445f6e4d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Joel J. Adamson"
+EMAIL="adamsonj@email.unc.edu"
+APPROVED="rworkman"
diff --git a/academic/ess/slack-desc b/academic/ess/slack-desc
new file mode 100644
index 0000000000..a3a68ad20f
--- /dev/null
+++ b/academic/ess/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ess: Emacs Speaks Statistics
+ess:
+ess: An add-on package for emacs-based text editors such as GNU Emacs
+ess: and XEmacs. It is designed to support editing of scripts and
+ess: interaction with various statistical analysis programs such
+ess: S-Plus, R, SAS, Stata, and others.
+ess:
+ess: http://ess.r-project.org/
+ess:
+ess:
+ess: